package es.prodevelop.cit.gvsig.arcims.gui.panels.utils;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.ImageIcon;
import javax.swing.JComboBox;
import javax.swing.plaf.basic.BasicArrowButton;

import es.prodevelop.cit.gvsig.arcims.gui.panels.FeatureServicePanel;

public class ImageFormatComboBox extends JComboBox {
	
	private ImageIcon iicon;

	public ImageFormatComboBox() {
		iicon = new ImageIcon(createResourceUrl("images/arrowbutton.png"));
	}
	
	public void paint(Graphics g) {
		super.paint(g);
		int w = (int) getSize().getWidth();
		g.drawImage(iicon.getImage(), w - 18, 1, Color.WHITE, null);
	}
	

	private java.net.URL createResourceUrl(String path) {
		return getClass().getClassLoader().getResource(path);
	}
	
}
